DRUO
Get started
Platforms

List Platform Programs

GEThttps://api.druo.com/platform-programs/list

Retrieve a paginated list of Platform Programs associated with the caller.

This endpoint returns a list of Platform Programs. It supports advanced filtering and search capabilities via query parameters, such as status and page size.

Query parameters

pageintegeroptional

The page number to return. Starts at 1.

page_sizeintegeroptional

The number of items per page. Defaults to 1000 when omitted.

Pagination · Filters

Response— Returns a paginated list.

uuidstringoptional

The unique identifier of the Platform Program.

Example: plp_f4ac8520-3de3-40d6-9059-a5da34f34123
namestringoptional

The name of the program.

Example: Cafe Novo Reloaded
descriptionstringoptional

The description of the program.

Example: Cafe Novo Reloaded Platform Program
statusstringoptional

The current status of the program.

Possible values:CREATEDWAITING_FOR_REVIEWREVIEW_IN_PROGRESSREJECTEDACTIVERESTRICTEDSUSPENDEDTERMINATED
Example: CREATED
program_managerobjectoptional

The profile details of the program manager managing this program.

Example: {"uuid":"pro_894a2d55-a2b5-457b-976c-fb40384f7123","role":"PROGRAM_MANAGER","status":"ACTIVE","date_updated_gmt":"2026-05-15T00:12:50.684Z","date_created_gmt":"2023-03-06T18:11:51.884Z"}
program_manager.uuidstringoptional

The unique identifier of the program manager profile.

Example: pro_894a2d55-a2b5-457b-976c-fb40384f7123
program_manager.rolestringoptional

The role assigned to the program manager.

Example: PROGRAM_MANAGER

The status of the program manager profile.

Example: ACTIVE

The date and time when the program manager profile was last updated, in GMT.

Example: 2026-05-15T00:12:50.684Z

The date and time when the program manager profile was created, in GMT.

Example: 2023-03-06T18:11:51.884Z
nested_membersobjectoptional

The nested member settings and statistics for the program.

Example: {"enrollment_status":"ACTIVE","max_number":null,"count":9}

The enrollment status of nested members in the program.

Example: ACTIVE

The maximum number of nested members allowed in the program, if restricted.

Example: null
nested_members.countintegeroptional

The current count of nested members in the program.

Example: 9
date_created_gmtstringoptional

The date and time when the Platform Program was created, in GMT.

Example: 2026-11-10T21:34:23.081Z
date_updated_gmtstringoptional

The date and time when the Platform Program was last updated, in GMT.

Example: 2026-11-10T21:34:23.081Z
NextPOSTInitiate Transaction